GNU bug report logs - #50756
[PATCH] gnu: Add lttng-tools.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Olivier Dion <olivier.dion@HIDDEN>; Keywords: patch moreinfo; dated Thu, 23 Sep 2021 13:12:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) moreinfo. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50756 <at> debbugs.gnu.org:


Received: (at 50756) by debbugs.gnu.org; 13 Oct 2021 08:52:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 04:52:27 2021
Received: from localhost ([127.0.0.1]:58062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maZzu-0003nA-Ly
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 04:52:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1maZzl-0003mn-ND
 for 50756 <at> debbugs.gnu.org; Wed, 13 Oct 2021 04:52:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50058)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1maZzf-0005AW-P5; Wed, 13 Oct 2021 04:52:11 -0400
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:53865
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1maZzf-0007tp-Fk; Wed, 13 Oct 2021 04:52:11 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: bug#50756: [PATCH] gnu: Add lttng-tools.
References: <20210923124004.3164-1-olivier.dion@HIDDEN>
 <87mto2jbkl.fsf@HIDDEN> <87tuia2ehj.fsf@laura>
 <875yunk70l.fsf@HIDDEN>
Date: Wed, 13 Oct 2021 10:52:08 +0200
In-Reply-To: <875yunk70l.fsf@HIDDEN> (Xinglu Chen's message of "Sun, 26
 Sep 2021 11:42:18 +0200")
Message-ID: <87zgrds3wn.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Olivier,
 Did you have a chance to look into this? https://issues.guix.gnu.org/50756
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
X-Debbugs-Envelope-To: 50756
Cc: Olivier Dion <olivier.dion@HIDDEN>, 50756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Hi Olivier,

Did you have a chance to look into this?

  https://issues.guix.gnu.org/50756

TIA!

Ludo=E2=80=99.

Xinglu Chen <public@HIDDEN> skribis:

> On Fri, Sep 24 2021, Olivier Dion via Guix-patches via wrote:
>
>> On Fri, 24 Sep 2021, Xinglu Chen <public@HIDDEN> wrote:
>>> On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:
>>
>>>> +(define-public lttng-tools
>>>> +  (package
>>>> +    (name "lttng-tools")
>>>> +    (version "2.12.5")
>>>
>>> Version 2.13 is available; any reason for not using it?
>>
>> Would require to bump version of lttng-ust also I think.  I prefer to do=
 all of this
>> in another patch.
>
> Ah, OK.
>
>>>> +    (arguments
>>>> +     `(#:tests? #f
>>>> +       #:parallel-tests? #f
>>>
>>> There is no need to set #:parallel-tests? if #:tests? is set to #f.
>>
>> During my testing, I noticed that test in parallel are not working
>> because of how the lttng-daemon works.  So I disable the parallel option
>> in order to not forget it when testing will work in the future.  I
>> should probably add a comment to explain the rationale here.
>>
>>>> +    (propagated-inputs
>>>> +     `(("libkmod" ,kmod)
>>>> +       ("modprobe" ,module-init-tools)))
>>>
>>> Any reason for the labels not being the same as the package?
>>
>> I follow the naming convention in the description of the project's README
>> so it's easier to map the dependencies described by it to Guix's
>> packages.  I can change this, but I find it more clear that way.
>
> The name of the label is usually the same as the package, so I would
> change them to =E2=80=9Ckmod=E2=80=9D and =E2=80=9Cmodule-init-tools=E2=
=80=9D respectively.
>
>>>
>>>> +    (native-inputs
>>>> +     `(("pkg-config" ,pkg-config)
>>>> +       ("perl" ,perl)
>>>> +       ("libpfm4" ,libpfm4)
>>>> +       ("python" ,python-3)
>>>
>>> While running the configure script, I get
>>>
>>>   configure: You may configure with --enable-python-bindings if you wan=
t Python bindings.
>>>
>>> So you would have to pass the =E2=80=98--enable-python-bindings=E2=80=
=99 flag, and
>>> Python would be needed during runtime as well.
>>
>> Does it tho?  Bindings can be generated at build time. While you would
>> require python-3 at runtime to use the bindings, you don't require
>> python-3 to use the other tools of the project.  I don't mind adding it
>> to the inputs, I'm just asking.
>
> True, the user can install always install Python in their profile
> themselves.




Information forwarded to guix-patches@HIDDEN:
bug#50756; Package guix-patches. Full text available.

Message received at 50756 <at> debbugs.gnu.org:


Received: (at 50756) by debbugs.gnu.org; 26 Sep 2021 09:42:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 26 05:42:30 2021
Received: from localhost ([127.0.0.1]:35911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUQg2-0003zM-M7
	for submit <at> debbugs.gnu.org; Sun, 26 Sep 2021 05:42:30 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:44476
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mUQg1-0003z8-2y
 for 50756 <at> debbugs.gnu.org; Sun, 26 Sep 2021 05:42:30 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1632649339;
 bh=GmVaEK+iWc148XAa2s0JWVURVsPMOTPXK7F+Hda4y20=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=pU3jt7a5MfrtRXlnI/PjaydhPBLZpuEJclrCnXy0bQtd9DG69dmyNNiG3O/XlgyPf
 0593S3aS/qYrpQh44wc/Fxl8cN4DxSarZvxzwDvdXfGWcQbzX4k0IxPSqU10leKCGJ
 3+SwRzsIzx807LaeG+0hcsHbZFpyMeoSetNfeq80=
To: Olivier Dion <olivier.dion@HIDDEN>, 50756 <at> debbugs.gnu.org
Subject: Re: [bug#50756] [PATCH] gnu: Add lttng-tools.
In-Reply-To: <87tuia2ehj.fsf@laura>
References: <20210923124004.3164-1-olivier.dion@HIDDEN>
 <87mto2jbkl.fsf@HIDDEN> <87tuia2ehj.fsf@laura>
Date: Sun, 26 Sep 2021 11:42:18 +0200
Message-ID: <875yunk70l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Fri, Sep 24 2021, Olivier Dion via Guix-patches via wrote:
 > On Fri, 24 Sep 2021, Xinglu Chen <public@HIDDEN> wrote: >> On Thu,
 Sep 23 2021, Olivier Dion via Guix-patches via wrote: > >>> +(define-public
 lttng-tools >>> + (package >>> + (name "lttng-to [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50756
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Fri, Sep 24 2021, Olivier Dion via Guix-patches via wrote:
    > On Fri, 24 Sep 2021, Xinglu Chen <public@HIDDEN> wrote: >> On Thu,
    Sep 23 2021, Olivier Dion via Guix-patches via wrote: > >>> +(define-public
    lttng-tools >>> + (package >>> + (name "lttng-to [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Fri, Sep 24 2021, Olivier Dion via Guix-patches via wrote:

> On Fri, 24 Sep 2021, Xinglu Chen <public@HIDDEN> wrote:
>> On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:
>
>>> +(define-public lttng-tools
>>> +  (package
>>> +    (name "lttng-tools")
>>> +    (version "2.12.5")
>>
>> Version 2.13 is available; any reason for not using it?
>
> Would require to bump version of lttng-ust also I think.  I prefer to do =
all of this
> in another patch.

Ah, OK.

>>> +    (arguments
>>> +     `(#:tests? #f
>>> +       #:parallel-tests? #f
>>
>> There is no need to set #:parallel-tests? if #:tests? is set to #f.
>
> During my testing, I noticed that test in parallel are not working
> because of how the lttng-daemon works.  So I disable the parallel option
> in order to not forget it when testing will work in the future.  I
> should probably add a comment to explain the rationale here.
>
>>> +    (propagated-inputs
>>> +     `(("libkmod" ,kmod)
>>> +       ("modprobe" ,module-init-tools)))
>>
>> Any reason for the labels not being the same as the package?
>
> I follow the naming convention in the description of the project's README
> so it's easier to map the dependencies described by it to Guix's
> packages.  I can change this, but I find it more clear that way.

The name of the label is usually the same as the package, so I would
change them to =E2=80=9Ckmod=E2=80=9D and =E2=80=9Cmodule-init-tools=E2=80=
=9D respectively.

>>
>>> +    (native-inputs
>>> +     `(("pkg-config" ,pkg-config)
>>> +       ("perl" ,perl)
>>> +       ("libpfm4" ,libpfm4)
>>> +       ("python" ,python-3)
>>
>> While running the configure script, I get
>>
>>   configure: You may configure with --enable-python-bindings if you want=
 Python bindings.
>>
>> So you would have to pass the =E2=80=98--enable-python-bindings=E2=80=99=
 flag, and
>> Python would be needed during runtime as well.
>
> Does it tho?  Bindings can be generated at build time. While you would
> require python-3 at runtime to use the bindings, you don't require
> python-3 to use the other tools of the project.  I don't mind adding it
> to the inputs, I'm just asking.

True, the user can install always install Python in their profile
themselves.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmFQQHoVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5ag4P/2fBRNy73tVNjITBIYfTlhENNzI6
zf4dz7841A99MBUqsrpb+SDN674SAmi4bUd8+xtsSZTSDIirUqY/MWLT+EgXE5GL
r1qDO6DrEgpd8MI/YxKY9EOYVQ7wi+U+RzndroR8CXoIiFbr0q4DHXsJAwNKW8i8
XX5PP++2mbESD0uOydNlvzPvgibHokikwoZXZZLazq03l3seLAOv3HvL+E1zK4fP
CqnLTg2XDr9teXA8m/JMgAETcbuZI/Fn52SpOvUH8B2x2QSASPYrS1c7dR2PWd2W
fQvRM/MNuG1hjOnuBeTkczSMCpNee/zd4ubXnDV9nftS+/ig0dUwQ8bC/a+uJ3+S
hfCdJt4Wh4zZpvfS3xD7ThZtRF5fMrjOFQUh/FBYk/ox2VNXpHarU06DfTuobDPU
YWIEQtvTH7jZ1HTTpZfEi0Rcl2e2qgIvORyL4it9g5EXwg7UMkPG0V96gSo5XeYu
R7JRjIaE3ZGTy9x+mPDo+MpLmV6wYPZDZ3IV0QJFFKF2L7XDn/ejIavTDACyZl80
LWlwGlRbI7vWgj/9ZsuVIGxTm8+wwcT0X9EvWhs+np6+M7DCZR1b/KoLQpKFT96J
1aEBeLVJbkuraPesMGJEAYDg1TCv4NIN9+0IIHN2JZZMCGEJTNhnKu8okVVzeEm1
ifMoFZUT1OEo0tWb
=YSqJ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50756; Package guix-patches. Full text available.

Message received at 50756 <at> debbugs.gnu.org:


Received: (at 50756) by debbugs.gnu.org; 24 Sep 2021 18:50:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 14:50:29 2021
Received: from localhost ([127.0.0.1]:59271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTqHF-0000ts-1p
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 14:50:29 -0400
Received: from smtp.polymtl.ca ([132.207.4.11]:48539)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.dion@HIDDEN>) id 1mTmtg-0002ZR-1c
 for 50756 <at> debbugs.gnu.org; Fri, 24 Sep 2021 11:13:58 -0400
Received: from localhost (modemcable094.169-200-24.mc.videotron.ca
 [24.200.169.94])
 by smtp.polymtl.ca (8.14.7/8.14.7) with ESMTP id 18OFDimU001902
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Fri, 24 Sep 2021 11:13:49 -0400
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.polymtl.ca 18OFDimU001902
From: Olivier Dion <olivier.dion@HIDDEN>
To: Xinglu Chen <public@HIDDEN>, Olivier Dion via Guix-patches via
 <guix-patches@HIDDEN>, 50756 <at> debbugs.gnu.org
Subject: Re: [bug#50756] [PATCH] gnu: Add lttng-tools.
In-Reply-To: <87mto2jbkl.fsf@HIDDEN>
References: <20210923124004.3164-1-olivier.dion@HIDDEN>
 <87mto2jbkl.fsf@HIDDEN>
Date: Fri, 24 Sep 2021 11:13:44 -0400
Message-ID: <87tuia2ehj.fsf@laura>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Poly-FromMTA: (modemcable094.169-200-24.mc.videotron.ca [24.200.169.94]) at
 Fri, 24 Sep 2021 15:13:44 +0000
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 50756
X-Mailman-Approved-At: Fri, 24 Sep 2021 14:50:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

On Fri, 24 Sep 2021, Xinglu Chen <public@HIDDEN> wrote:
> On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:

>> +(define-public lttng-tools
>> +  (package
>> +    (name "lttng-tools")
>> +    (version "2.12.5")
>
> Version 2.13 is available; any reason for not using it?

Would require to bump version of lttng-ust also I think.  I prefer to do al=
l of this
in another patch.=20=20

>> +    (arguments
>> +     `(#:tests? #f
>> +       #:parallel-tests? #f
>
> There is no need to set #:parallel-tests? if #:tests? is set to #f.

During my testing, I noticed that test in parallel are not working
because of how the lttng-daemon works.  So I disable the parallel option
in order to not forget it when testing will work in the future.  I
should probably add a comment to explain the rationale here.

>> +    (propagated-inputs
>> +     `(("libkmod" ,kmod)
>> +       ("modprobe" ,module-init-tools)))
>
> Any reason for the labels not being the same as the package?

I follow the naming convention in the description of the project's README
so it's easier to map the dependencies described by it to Guix's
packages.  I can change this, but I find it more clear that way.

>
>> +    (native-inputs
>> +     `(("pkg-config" ,pkg-config)
>> +       ("perl" ,perl)
>> +       ("libpfm4" ,libpfm4)
>> +       ("python" ,python-3)
>
> While running the configure script, I get
>
>   configure: You may configure with --enable-python-bindings if you want =
Python bindings.
>
> So you would have to pass the =E2=80=98--enable-python-bindings=E2=80=99 =
flag, and
> Python would be needed during runtime as well.

Does it tho?  Bindings can be generated at build time. While you would
require python-3 at runtime to use the bindings, you don't require
python-3 to use the other tools of the project.  I don't mind adding it
to the inputs, I'm just asking.

> Could you send an updated patch?

Will do soon!

--=20
Olivier Dion
Polymtl




Information forwarded to guix-patches@HIDDEN:
bug#50756; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2021 18:50:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 14:50:30 2021
Received: from localhost ([127.0.0.1]:59273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTqHF-0000tw-Jo
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 14:50:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:37638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.dion@HIDDEN>) id 1mTmts-0002aW-BL
 for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 11:14:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57082)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1mTmtr-0003aE-Ut
 for guix-patches@HIDDEN; Fri, 24 Sep 2021 11:14:07 -0400
Received: from smtp.polymtl.ca ([132.207.4.11]:35439)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1mTmtp-0008Li-Ko
 for guix-patches@HIDDEN; Fri, 24 Sep 2021 11:14:07 -0400
Received: from localhost (modemcable094.169-200-24.mc.videotron.ca
 [24.200.169.94])
 by smtp.polymtl.ca (8.14.7/8.14.7) with ESMTP id 18OFDimU001902
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Fri, 24 Sep 2021 11:13:49 -0400
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.polymtl.ca 18OFDimU001902
From: Olivier Dion <olivier.dion@HIDDEN>
To: Xinglu Chen <public@HIDDEN>, Olivier Dion via Guix-patches via
 <guix-patches@HIDDEN>, 50756 <at> debbugs.gnu.org
Subject: Re: [bug#50756] [PATCH] gnu: Add lttng-tools.
In-Reply-To: <87mto2jbkl.fsf@HIDDEN>
References: <20210923124004.3164-1-olivier.dion@HIDDEN>
 <87mto2jbkl.fsf@HIDDEN>
Date: Fri, 24 Sep 2021 11:13:44 -0400
Message-ID: <87tuia2ehj.fsf@laura>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Poly-FromMTA: (modemcable094.169-200-24.mc.videotron.ca [24.200.169.94]) at
 Fri, 24 Sep 2021 15:13:44 +0000
Received-SPF: pass client-ip=132.207.4.11;
 envelope-from=olivier.dion@HIDDEN; helo=smtp.polymtl.ca
X-Spam_score_int: -41
X-Spam_score: -4.2
X-Spam_bar: ----
X-Spam_report: (-4.2 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 24 Sep 2021 14:50:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On Fri, 24 Sep 2021, Xinglu Chen <public@HIDDEN> wrote:
> On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:

>> +(define-public lttng-tools
>> +  (package
>> +    (name "lttng-tools")
>> +    (version "2.12.5")
>
> Version 2.13 is available; any reason for not using it?

Would require to bump version of lttng-ust also I think.  I prefer to do al=
l of this
in another patch.=20=20

>> +    (arguments
>> +     `(#:tests? #f
>> +       #:parallel-tests? #f
>
> There is no need to set #:parallel-tests? if #:tests? is set to #f.

During my testing, I noticed that test in parallel are not working
because of how the lttng-daemon works.  So I disable the parallel option
in order to not forget it when testing will work in the future.  I
should probably add a comment to explain the rationale here.

>> +    (propagated-inputs
>> +     `(("libkmod" ,kmod)
>> +       ("modprobe" ,module-init-tools)))
>
> Any reason for the labels not being the same as the package?

I follow the naming convention in the description of the project's README
so it's easier to map the dependencies described by it to Guix's
packages.  I can change this, but I find it more clear that way.

>
>> +    (native-inputs
>> +     `(("pkg-config" ,pkg-config)
>> +       ("perl" ,perl)
>> +       ("libpfm4" ,libpfm4)
>> +       ("python" ,python-3)
>
> While running the configure script, I get
>
>   configure: You may configure with --enable-python-bindings if you want =
Python bindings.
>
> So you would have to pass the =E2=80=98--enable-python-bindings=E2=80=99 =
flag, and
> Python would be needed during runtime as well.

Does it tho?  Bindings can be generated at build time. While you would
require python-3 at runtime to use the bindings, you don't require
python-3 to use the other tools of the project.  I don't mind adding it
to the inputs, I'm just asking.

> Could you send an updated patch?

Will do soon!

--=20
Olivier Dion
Polymtl




Information forwarded to guix-patches@HIDDEN:
bug#50756; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2021 14:25:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 10:25:02 2021
Received: from localhost ([127.0.0.1]:58987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTm8I-0000zu-0s
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 10:25:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:50602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mTm8D-0000zd-C2
 for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 10:24:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40856)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mTm8D-0005I2-3x
 for guix-patches@HIDDEN; Fri, 24 Sep 2021 10:24:53 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36918
 helo=mail.yoctocell.xyz)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mTm8A-0007g9-Fo
 for guix-patches@HIDDEN; Fri, 24 Sep 2021 10:24:52 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1632493484;
 bh=MtxPqbFcpjP82dr/Y4h0JFjs4IF5X3IxSlRS2RRpGMA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=u8aBxqeoJHKGCd4FVwJ5T+wCXnxVkz25VFl6FLERZq5BT6ZuJqTsJnQU1sor0suym
 tIpQsiUH+x0/tzGWy9dm99hbKWREbzjgy/pGwprqzpYc5LYD82k/vzn00bDv6e9ybK
 mgm5alQCA8A/mQQ50wofGq+lNQVAUGFeY8n1KGM8=
To: Olivier Dion via Guix-patches via <guix-patches@HIDDEN>,
 50756 <at> debbugs.gnu.org
Subject: Re: [bug#50756] [PATCH] gnu: Add lttng-tools.
In-Reply-To: <20210923124004.3164-1-olivier.dion@HIDDEN>
References: <20210923124004.3164-1-olivier.dion@HIDDEN>
Date: Fri, 24 Sep 2021 16:24:42 +0200
Message-ID: <87mto2jbkl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=87.96.130.155; envelope-from=public@HIDDEN;
 helo=mail.yoctocell.xyz
X-Spam_score_int: 14
X-Spam_score: 1.4
X-Spam_bar: +
X-Spam_report: (1.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FROM_SUSPICIOUS_NTLD=0.499,
 PDS_OTHER_BAD_TLD=1.997, PDS_RDNS_DYNAMIC_FP=0.001, RDNS_DYNAMIC=0.982,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:
 > * gnu/packages/linux.scm (lttng-tools): New variable. > > Note that tests
 are not yet working. What is the reason for that? There should be a comment
 explaining why. 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.17 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
Cc: Olivier Dion <olivier.dion@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:
    > * gnu/packages/linux.scm (lttng-tools): New variable. > > Note that tests
    are not yet working. What is the reason for that? There should be a comment
    explaining why. 
 
 Content analysis details:   (3.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.51.188.17 listed in wl.mailspike.net]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:

> * gnu/packages/linux.scm (lttng-tools): New variable.
>
> Note that tests are not yet working.

What is the reason for that?  There should be a comment explaining why.

> Signed-off-by: Olivier Dion <olivier.dion@HIDDEN>

There is no need to =E2=80=9Csign-off=E2=80=9D your own commit; this is onl=
y done by
committers who push a patch on behalf of someone else.

> ---
>  gnu/packages/linux.scm | 54 ++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 54 insertions(+)
>
> diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
> index 9bb90e599e..a8cb4fd05a 100644
> --- a/gnu/packages/linux.scm
> +++ b/gnu/packages/linux.scm
> @@ -53,6 +53,7 @@
>  ;;; Copyright =C2=A9 2020 pukkamustard <pukkamustard@HIDDEN>
>  ;;; Copyright =C2=A9 2021 B. Wilson <elaexuotee@HIDDEN>
>  ;;; Copyright =C2=A9 2021 Ivan Gankevich <i.gankevich@HIDDEN>
> +;;; Copyright =C2=A9 2021 Olivier Dion <olivier.dion@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -8051,6 +8052,59 @@ enable and disable specific instrumentation points=
, and writes event records
>  to ring buffers shared with a consumer daemon.")
>      (license license:lgpl2.1+)))
>=20=20
> +(define-public lttng-tools
> +  (package
> +    (name "lttng-tools")
> +    (version "2.12.5")

Version 2.13 is available; any reason for not using it?

> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append "https://lttng.org/files/lttng-tools/"
> +                                  "lttng-tools-" version ".tar.bz2"))
> +              (sha256
> +               (base32 "0bgk35423v6z17j1w80m7dcza7gigs1pwyq24sdmgqwg6j2d=
1zmc"))))

Keep lines <=3D80 characters long.

> +
> +    (build-system gnu-build-system)

These newlines aren=E2=80=99t necessary.

> +    (arguments
> +     `(#:tests? #f
> +       #:parallel-tests? #f

There is no need to set #:parallel-tests? if #:tests? is set to #f.

> +       #:phases
> +       (modify-phases %standard-phases
> +         (add-before 'configure 'set-environment-variables
> +           (lambda _
> +             (setenv "HOME" "/tmp")
> +             (setenv "LTTNG_HOME" "/tmp"))))))
> +
> +    (inputs
> +     `(("liburcu" ,liburcu)
> +       ("popt" ,popt)
> +       ("numactl" ,numactl)))
> +
> +    (propagated-inputs
> +     `(("libkmod" ,kmod)
> +       ("modprobe" ,module-init-tools)))

Any reason for the labels not being the same as the package?

> +    (native-inputs
> +     `(("pkg-config" ,pkg-config)
> +       ("perl" ,perl)
> +       ("libpfm4" ,libpfm4)
> +       ("python" ,python-3)

While running the configure script, I get

  configure: You may configure with --enable-python-bindings if you want Py=
thon bindings.

So you would have to pass the =E2=80=98--enable-python-bindings=E2=80=99 fl=
ag, and
Python would be needed during runtime as well.

> +       ("procps" ,procps)
> +       ("which" ,which)
> +       ("flex" ,flex)
> +       ("bison" ,bison)
> +       ("asciidoc" ,asciidoc)
> +       ("libxml2" ,libxml2)
> +       ("lttng-ust" ,lttng-ust)))
>
> +    (home-page "https://lttng.org/")
> +    (synopsis "LTTng userspace tracer libraries")
> +    (description "The lttng-tools project provides a session
> +daemon (lttng-sessiond) that acts as a tracing registry, the \"lttng\" c=
ommand

the @command{lttng} command

> +line for tracing control, a lttng-ctl library for tracing control and a
> +lttng-relayd for network streaming.")

I would use @code{lttng-ctl} and @code{lttng-relayd}.

> +    (license license:gpl2)))

The bottom of the homepage says

  =E2=80=A6LTTng-tools is licensed under LGPLv2.1 and GPLv2=E2=80=A6

so it would be (list license:gpl2 license:lgpl2.1)

Could you send an updated patch?

[1]: <https://lttng.org/docs/v2.13/#doc-building-from-source>


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmFN36sVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5ihMQAI1+w4oNUsNIJ68FkvLzw4Pquh51
0mXz+E7Jn2k2zf81ouWOguIKyaZlAH6i5TpntBsYJnQn31JsuGnisThcHpObz8cR
Ir6xVCgpbA6FpwqJ4UD+bBPek+DJygORSUH1VhMYFLmVi0nvJ9OVhbXQxw8vjSPy
EfqMxpG3/OTmDMZRgOwu4k5n+CpyCnFXS33EHFoJ6/NF8bhacqVmLg21VRWwc19G
dITsi8fAaReNj4swAbrWaUPs3rIuOf7ERuhxcN2IZa9gyB0KQ5O7PNy39k+n+XN8
VKnW1bqLY1a3VPoLWXfwqkupIfmaHcjbdOCzInOV1RCyzLWZ6ZVBZl3u4pdrXvKm
JvCJZDOJK1rU1i6kEhzKBMiORdwCzyeyW/jyKHjfeJFlMsbg5FXIDaDSnxaZ6r1g
Xo/BdSWApkMKwlc+5MQ07UMjjPMefG9K1HvJ7JftmOgfcmaia0+wymA73Jk4Qt0i
sr2CfqX9zVZvLwkMWcztzwLQ110emzXuSm59CfH1o034iIwi+WYIufWjbv3YD4ms
qtrIaUCQoz8PbQuo5msICxGbYFDAlfplW+1wHyWdMkWML2R2AyI75PAjdeISwpKA
Gs0oTSIuogbFSD5KV95cXOGiHIGQmq14voO339q3CR7EeglO6iKdMPu7BTgHaKHs
Ix4Uy0FQ03CptSh2
=gs8K
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50756; Package guix-patches. Full text available.

Message received at 50756 <at> debbugs.gnu.org:


Received: (at 50756) by debbugs.gnu.org; 24 Sep 2021 14:24:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 10:24:58 2021
Received: from localhost ([127.0.0.1]:58985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTm8D-0000zf-M1
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 10:24:57 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:45174
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mTm8C-0000zN-9j
 for 50756 <at> debbugs.gnu.org; Fri, 24 Sep 2021 10:24:52 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1632493484;
 bh=MtxPqbFcpjP82dr/Y4h0JFjs4IF5X3IxSlRS2RRpGMA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=u8aBxqeoJHKGCd4FVwJ5T+wCXnxVkz25VFl6FLERZq5BT6ZuJqTsJnQU1sor0suym
 tIpQsiUH+x0/tzGWy9dm99hbKWREbzjgy/pGwprqzpYc5LYD82k/vzn00bDv6e9ybK
 mgm5alQCA8A/mQQ50wofGq+lNQVAUGFeY8n1KGM8=
To: Olivier Dion via Guix-patches via <guix-patches@HIDDEN>,
 50756 <at> debbugs.gnu.org
Subject: Re: [bug#50756] [PATCH] gnu: Add lttng-tools.
In-Reply-To: <20210923124004.3164-1-olivier.dion@HIDDEN>
References: <20210923124004.3164-1-olivier.dion@HIDDEN>
Date: Fri, 24 Sep 2021 16:24:42 +0200
Message-ID: <87mto2jbkl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:
 > * gnu/packages/linux.scm (lttng-tools): New variable. > > Note that tests
 are not yet working. What is the reason for that? There should be a comment
 explaining why. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50756
Cc: Olivier Dion <olivier.dion@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:
    > * gnu/packages/linux.scm (lttng-tools): New variable. > > Note that tests
    are not yet working. What is the reason for that? There should be a comment
    explaining why. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Thu, Sep 23 2021, Olivier Dion via Guix-patches via wrote:

> * gnu/packages/linux.scm (lttng-tools): New variable.
>
> Note that tests are not yet working.

What is the reason for that?  There should be a comment explaining why.

> Signed-off-by: Olivier Dion <olivier.dion@HIDDEN>

There is no need to =E2=80=9Csign-off=E2=80=9D your own commit; this is onl=
y done by
committers who push a patch on behalf of someone else.

> ---
>  gnu/packages/linux.scm | 54 ++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 54 insertions(+)
>
> diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
> index 9bb90e599e..a8cb4fd05a 100644
> --- a/gnu/packages/linux.scm
> +++ b/gnu/packages/linux.scm
> @@ -53,6 +53,7 @@
>  ;;; Copyright =C2=A9 2020 pukkamustard <pukkamustard@HIDDEN>
>  ;;; Copyright =C2=A9 2021 B. Wilson <elaexuotee@HIDDEN>
>  ;;; Copyright =C2=A9 2021 Ivan Gankevich <i.gankevich@HIDDEN>
> +;;; Copyright =C2=A9 2021 Olivier Dion <olivier.dion@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -8051,6 +8052,59 @@ enable and disable specific instrumentation points=
, and writes event records
>  to ring buffers shared with a consumer daemon.")
>      (license license:lgpl2.1+)))
>=20=20
> +(define-public lttng-tools
> +  (package
> +    (name "lttng-tools")
> +    (version "2.12.5")

Version 2.13 is available; any reason for not using it?

> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append "https://lttng.org/files/lttng-tools/"
> +                                  "lttng-tools-" version ".tar.bz2"))
> +              (sha256
> +               (base32 "0bgk35423v6z17j1w80m7dcza7gigs1pwyq24sdmgqwg6j2d=
1zmc"))))

Keep lines <=3D80 characters long.

> +
> +    (build-system gnu-build-system)

These newlines aren=E2=80=99t necessary.

> +    (arguments
> +     `(#:tests? #f
> +       #:parallel-tests? #f

There is no need to set #:parallel-tests? if #:tests? is set to #f.

> +       #:phases
> +       (modify-phases %standard-phases
> +         (add-before 'configure 'set-environment-variables
> +           (lambda _
> +             (setenv "HOME" "/tmp")
> +             (setenv "LTTNG_HOME" "/tmp"))))))
> +
> +    (inputs
> +     `(("liburcu" ,liburcu)
> +       ("popt" ,popt)
> +       ("numactl" ,numactl)))
> +
> +    (propagated-inputs
> +     `(("libkmod" ,kmod)
> +       ("modprobe" ,module-init-tools)))

Any reason for the labels not being the same as the package?

> +    (native-inputs
> +     `(("pkg-config" ,pkg-config)
> +       ("perl" ,perl)
> +       ("libpfm4" ,libpfm4)
> +       ("python" ,python-3)

While running the configure script, I get

  configure: You may configure with --enable-python-bindings if you want Py=
thon bindings.

So you would have to pass the =E2=80=98--enable-python-bindings=E2=80=99 fl=
ag, and
Python would be needed during runtime as well.

> +       ("procps" ,procps)
> +       ("which" ,which)
> +       ("flex" ,flex)
> +       ("bison" ,bison)
> +       ("asciidoc" ,asciidoc)
> +       ("libxml2" ,libxml2)
> +       ("lttng-ust" ,lttng-ust)))
>
> +    (home-page "https://lttng.org/")
> +    (synopsis "LTTng userspace tracer libraries")
> +    (description "The lttng-tools project provides a session
> +daemon (lttng-sessiond) that acts as a tracing registry, the \"lttng\" c=
ommand

the @command{lttng} command

> +line for tracing control, a lttng-ctl library for tracing control and a
> +lttng-relayd for network streaming.")

I would use @code{lttng-ctl} and @code{lttng-relayd}.

> +    (license license:gpl2)))

The bottom of the homepage says

  =E2=80=A6LTTng-tools is licensed under LGPLv2.1 and GPLv2=E2=80=A6

so it would be (list license:gpl2 license:lgpl2.1)

Could you send an updated patch?

[1]: <https://lttng.org/docs/v2.13/#doc-building-from-source>


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmFN36sVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5ihMQAI1+w4oNUsNIJ68FkvLzw4Pquh51
0mXz+E7Jn2k2zf81ouWOguIKyaZlAH6i5TpntBsYJnQn31JsuGnisThcHpObz8cR
Ir6xVCgpbA6FpwqJ4UD+bBPek+DJygORSUH1VhMYFLmVi0nvJ9OVhbXQxw8vjSPy
EfqMxpG3/OTmDMZRgOwu4k5n+CpyCnFXS33EHFoJ6/NF8bhacqVmLg21VRWwc19G
dITsi8fAaReNj4swAbrWaUPs3rIuOf7ERuhxcN2IZa9gyB0KQ5O7PNy39k+n+XN8
VKnW1bqLY1a3VPoLWXfwqkupIfmaHcjbdOCzInOV1RCyzLWZ6ZVBZl3u4pdrXvKm
JvCJZDOJK1rU1i6kEhzKBMiORdwCzyeyW/jyKHjfeJFlMsbg5FXIDaDSnxaZ6r1g
Xo/BdSWApkMKwlc+5MQ07UMjjPMefG9K1HvJ7JftmOgfcmaia0+wymA73Jk4Qt0i
sr2CfqX9zVZvLwkMWcztzwLQ110emzXuSm59CfH1o034iIwi+WYIufWjbv3YD4ms
qtrIaUCQoz8PbQuo5msICxGbYFDAlfplW+1wHyWdMkWML2R2AyI75PAjdeISwpKA
Gs0oTSIuogbFSD5KV95cXOGiHIGQmq14voO339q3CR7EeglO6iKdMPu7BTgHaKHs
Ix4Uy0FQ03CptSh2
=gs8K
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50756; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2021 13:11:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 23 09:11:28 2021
Received: from localhost ([127.0.0.1]:52960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTOVb-00048n-Be
	for submit <at> debbugs.gnu.org; Thu, 23 Sep 2021 09:11:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:57108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.dion@HIDDEN>) id 1mTO1j-0003Eg-IJ
 for submit <at> debbugs.gnu.org; Thu, 23 Sep 2021 08:40:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53484)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1mTO1f-0003FY-Ue
 for guix-patches@HIDDEN; Thu, 23 Sep 2021 08:40:35 -0400
Received: from smtp.polymtl.ca ([132.207.4.11]:58595)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1mTO1c-0004ef-1t
 for guix-patches@HIDDEN; Thu, 23 Sep 2021 08:40:30 -0400
Received: from laura.hitronhub.home (modemcable094.169-200-24.mc.videotron.ca
 [24.200.169.94]) (authenticated bits=0)
 by smtp.polymtl.ca (8.14.7/8.14.7) with ESMTP id 18NCe8tE007964
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NOT); 
 Thu, 23 Sep 2021 08:40:19 -0400
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.polymtl.ca 18NCe8tE007964
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=polymtl.ca;
 s=default; t=1632400819;
 bh=DlS4a9Fmoe7NxvPYFA5d0rj4BqLcs0DqwaKYxM1oFJA=;
 h=From:To:Cc:Subject:Date:From;
 b=mFdn/8TucU9oURHooGv133xYe/HBUaGZW5Cg0Blhh+j0cac88tGl7264WRTYv0yEG
 KGTjKW06qaS3RR31Yrgw9uyrmU+rn6wI4KwlcIRC0l0VE6v6A9M3Nw8W6n3IbWbOUo
 fPss6uTj70xTq8phUZ7wy8IT+1s+RdrvypKHqj4E=
From: Olivier Dion <olivier.dion@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add lttng-tools.
Date: Thu, 23 Sep 2021 08:40:04 -0400
Message-Id: <20210923124004.3164-1-olivier.dion@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Poly-FromMTA: (modemcable094.169-200-24.mc.videotron.ca [24.200.169.94]) at
 Thu, 23 Sep 2021 12:40:08 +0000
Received-SPF: pass client-ip=132.207.4.11;
 envelope-from=olivier.dion@HIDDEN; helo=smtp.polymtl.ca
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 23 Sep 2021 09:11:26 -0400
Cc: Olivier Dion <olivier.dion@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/linux.scm (lttng-tools): New variable.

Note that tests are not yet working.

Signed-off-by: Olivier Dion <olivier.dion@HIDDEN>
---
 gnu/packages/linux.scm | 54 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 9bb90e599e..a8cb4fd05a 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -53,6 +53,7 @@
 ;;; Copyright © 2020 pukkamustard <pukkamustard@HIDDEN>
 ;;; Copyright © 2021 B. Wilson <elaexuotee@HIDDEN>
 ;;; Copyright © 2021 Ivan Gankevich <i.gankevich@HIDDEN>
+;;; Copyright © 2021 Olivier Dion <olivier.dion@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -8051,6 +8052,59 @@ enable and disable specific instrumentation points, and writes event records
 to ring buffers shared with a consumer daemon.")
     (license license:lgpl2.1+)))
 
+(define-public lttng-tools
+  (package
+    (name "lttng-tools")
+    (version "2.12.5")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://lttng.org/files/lttng-tools/"
+                                  "lttng-tools-" version ".tar.bz2"))
+              (sha256
+               (base32 "0bgk35423v6z17j1w80m7dcza7gigs1pwyq24sdmgqwg6j2d1zmc"))))
+
+    (build-system gnu-build-system)
+
+    (arguments
+     `(#:tests? #f
+       #:parallel-tests? #f
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'set-environment-variables
+           (lambda _
+             (setenv "HOME" "/tmp")
+             (setenv "LTTNG_HOME" "/tmp"))))))
+
+    (inputs
+     `(("liburcu" ,liburcu)
+       ("popt" ,popt)
+       ("numactl" ,numactl)))
+
+    (propagated-inputs
+     `(("libkmod" ,kmod)
+       ("modprobe" ,module-init-tools)))
+
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("perl" ,perl)
+       ("libpfm4" ,libpfm4)
+       ("python" ,python-3)
+       ("procps" ,procps)
+       ("which" ,which)
+       ("flex" ,flex)
+       ("bison" ,bison)
+       ("asciidoc" ,asciidoc)
+       ("libxml2" ,libxml2)
+       ("lttng-ust" ,lttng-ust)))
+
+    (home-page "https://lttng.org/")
+    (synopsis "LTTng userspace tracer libraries")
+    (description "The lttng-tools project provides a session
+daemon (lttng-sessiond) that acts as a tracing registry, the \"lttng\" command
+line for tracing control, a lttng-ctl library for tracing control and a
+lttng-relayd for network streaming.")
+    (license license:gpl2)))
+
 (define-public kexec-tools
   (package
     (name "kexec-tools")
-- 
2.33.0





Acknowledgement sent to Olivier Dion <olivier.dion@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#50756; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Oct 2021 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.